> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update company  

> Company info



## OpenAPI

````yaml patch /companies
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /companies:
    patch:
      tags:
        - Company
      summary: 'Update company  '
      description: Company info
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/companies_body_1'
        required: true
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyProfile'
      security:
        - bearerAuth: []
components:
  schemas:
    companies_body_1:
      required:
        - companyId
        - name
        - position
        - type
      type: object
      properties:
        companyId:
          type: string
        name:
          type: string
        type:
          type: string
        position:
          type: string
    CompanyProfile:
      type: object
      properties:
        companyType:
          type: string
          description: Type of the company
        companyId:
          type: string
          description: Unique identifier of the company
        kyc:
          type: string
          description: Status of the KYC process
        adm:
          type: string
          description: Status of the ADM process
        id:
          type: string
          description: Unique identifier of the company profile
        name:
          type: string
          description: Name of the company
        position:
          type: string
          description: Position of the user within the company
        email:
          type: string
          description: Company email
          format: email
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````